<template>
  <div>
    <div>
      <div>
        <h1 class="hero-text">Welcome to Spocky</h1>
      </div>
      <div class="profile--4"></div>
      <p class="subtitle">
        Fan site à la mémoire de Leonard Nimoy
      </p>
    </div>
    
  </div>
</template>

<script>
export default {
  name: "home",
  
};
</script>

<style scoped>
@import url(https://fonts.googleapis.com/css?family=Old+Standard+TT:400|Lora:400);

@import url("https://fonts.googleapis.com/css2?family=Mukta:wght@300&family=Quicksand&display=swap");

.profile--4 {
  background: url("../assets/Nimoy-16.jpg") center;
  height: 35vh;
  background-size: cover;
}
@media (min-width: 55em) {
  .profile--4 {
    width: 45%;
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}
@media (min-width: 80em) {
  .profile--4 {
    width: 45%;
    top: 0;
    left: 0;
    bottom: 0;
    height: auto;
  }
}
.hero-text {
  font-size: 60px;
  margin-left: 650px;
  display: block;
  text-align: center;
}

.hero-text {
  color: #1da2f1;
  font-weight: 500;
}
.subtitle {
  margin-left: 50%;
  text-align: center;
  font-size: 35px;
  line-height: 50px;
  font-family: "Mukta", sans-serif;
  font-variant: all-small-caps;
  color: #1da2f1;
}
@media all and (max-width: 500px) {
  .hero-text {
    margin-left: 0;
    text-align: center;
    font-size: 14vw;
  }
  .subtitle {
    font-size: 30px;
    margin-left: 0%;
  }
}


.gif--box {
    position: relative;
    height: 100vh;
    width: 90rem;
    margin: 0 auto;
}

.gif--box .heading {
    color: #ffffffd0;
    font-size: 3.2rem;
    position: absolute;
    top: 10%;
    left: 50%;
    transform: translate(-50%, -10%);
}

.gif--box .img__gif {
    height: 25rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin-top: 3rem;
    border-radius:5rem;
}

.gif--box .btn {
    position: absolute;
    top: 22%;
    left: 50%;
    transform: translate(-50%, -22%);
    background-color: #44f0f0a9;
    padding: 1rem;
    color: #ffffffd0;
    font-size: 1.6em;
    border-radius: 5rem;
    transition: 0.4s all;
    cursor: pointer;
    font-weight: 800;
}
</style>
